<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref2.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.ASG.Visitor.visit_builtin - Synopsis.Formatters.BoostBook.Formatter.label</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.ASG.Visitor.visit_builtin - Synopsis.Formatters.BoostBook.Formatter.label</h1><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_builtin" /><h2 >Method Synopsis.ASG.Visitor.visit_builtin</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_builtin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#554">Synopsis/ASG.py:554</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_builtin_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#543">Synopsis/ASG.py:543</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_class" /><h2 >Method Synopsis.ASG.Visitor.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#570">Synopsis/ASG.py:570</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_class_template" /><h2 >Method Synopsis.ASG.Visitor.visit_class_template</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_class_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#571">Synopsis/ASG.py:571</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_const" /><h2 >Method Synopsis.ASG.Visitor.visit_const</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#581">Synopsis/ASG.py:581</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_declaration" /><h2 >Method Synopsis.ASG.Visitor.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#553">Synopsis/ASG.py:553</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_declared_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#545">Synopsis/ASG.py:545</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_dependent_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_dependent_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_dependent_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#551">Synopsis/ASG.py:551</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_enum" /><h2 >Method Synopsis.ASG.Visitor.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#574">Synopsis/ASG.py:574</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_enumerator" /><h2 >Method Synopsis.ASG.Visitor.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#573">Synopsis/ASG.py:573</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_forward" /><h2 >Method Synopsis.ASG.Visitor.visit_forward</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_forward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#561">Synopsis/ASG.py:561</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_function" /><h2 >Method Synopsis.ASG.Visitor.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#582">Synopsis/ASG.py:582</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_function_template" /><h2 >Method Synopsis.ASG.Visitor.visit_function_template</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#585">Synopsis/ASG.py:585</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_function_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#550">Synopsis/ASG.py:550</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_group" /><h2 >Method Synopsis.ASG.Visitor.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#562">Synopsis/ASG.py:562</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_inheritance" /><h2 >Method Synopsis.ASG.Visitor.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#589">Synopsis/ASG.py:589</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_macro" /><h2 >Method Synopsis.ASG.Visitor.visit_macro</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_macro" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#560">Synopsis/ASG.py:560</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_meta_module" /><h2 >Method Synopsis.ASG.Visitor.visit_meta_module</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_meta_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#569">Synopsis/ASG.py:569</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_modifier_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#546">Synopsis/ASG.py:546</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_module" /><h2 >Method Synopsis.ASG.Visitor.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#568">Synopsis/ASG.py:568</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_operation" /><h2 >Method Synopsis.ASG.Visitor.visit_operation</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_operation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#586">Synopsis/ASG.py:586</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_operation_template" /><h2 >Method Synopsis.ASG.Visitor.visit_operation_template</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_operation_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#587">Synopsis/ASG.py:587</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_parameter" /><h2 >Method Synopsis.ASG.Visitor.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#588">Synopsis/ASG.py:588</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_parametrized_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#549">Synopsis/ASG.py:549</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_scope" /><h2 >Method Synopsis.ASG.Visitor.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#565">Synopsis/ASG.py:565</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_template_id" /><h2 >Method Synopsis.ASG.Visitor.visit_template_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_template_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#548">Synopsis/ASG.py:548</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_typedef" /><h2 >Method Synopsis.ASG.Visitor.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#572">Synopsis/ASG.py:572</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_unknown_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#544">Synopsis/ASG.py:544</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_using_declaration" /><h2 >Method Synopsis.ASG.Visitor.visit_using_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_using_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#559">Synopsis/ASG.py:559</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_using_directive" /><h2 >Method Synopsis.ASG.Visitor.visit_using_directive</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_using_directive" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#558">Synopsis/ASG.py:558</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_variable" /><h2 >Method Synopsis.ASG.Visitor.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#580">Synopsis/ASG.py:580</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ccmp" /><h2 >Function Synopsis.ASG.ccmp</h2><ul>
<li><a href="../Scopes/Synopsis/ASG.html#ccmp" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#25">Synopsis/ASG.py:25</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter" /><h2 >Class Synopsis.DeclarationSorter.DeclarationSorter</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#60">Synopsis/DeclarationSorter.py:60</a>: in module <a href="../Scopes/Synopsis/DeclarationSorter.html" >Synopsis.DeclarationSorter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/DeclarationSorter.py.html#63">Synopsis/DeclarationSorter.py:63</a>: Class attribute <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#struct_as_class" >struct_as_class</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#64">Synopsis/DeclarationSorter.py:64</a>: Class attribute <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#group_as_section" >group_as_section</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#69">Synopsis/DeclarationSorter.py:69</a>: Attribute <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__sections" >__sections</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#70">Synopsis/DeclarationSorter.py:70</a>: Attribute <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__sorted_keys" >__sorted_keys</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#66">Synopsis/DeclarationSorter.py:66</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#78">Synopsis/DeclarationSorter.py:78</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__iter__" >__iter__</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#79">Synopsis/DeclarationSorter.py:79</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__getitem__" >__getitem__</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#80">Synopsis/DeclarationSorter.py:80</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#get" >get</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#81">Synopsis/DeclarationSorter.py:81</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#has_key" >has_key</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#82">Synopsis/DeclarationSorter.py:82</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#keys" >keys</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#83">Synopsis/DeclarationSorter.py:83</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#values" >values</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#85">Synopsis/DeclarationSorter.py:85</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#_section_of" >_section_of</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#98">Synopsis/DeclarationSorter.py:98</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#_add_declaration" >_add_declaration</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#107">Synopsis/DeclarationSorter.py:107</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#110">Synopsis/DeclarationSorter.py:110</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#111">Synopsis/DeclarationSorter.py:111</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_macro" >visit_macro</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#113">Synopsis/DeclarationSorter.py:113</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_forward" >visit_forward</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#118">Synopsis/DeclarationSorter.py:118</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#125">Synopsis/DeclarationSorter.py:125</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#127">Synopsis/DeclarationSorter.py:127</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_class_template" >visit_class_template</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#129">Synopsis/DeclarationSorter.py:129</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/DeclarationSorter.py.html#131">Synopsis/DeclarationSorter.py:131</a>: Method <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_function_template" >visit_function_template</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.__getitem__" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.__getitem__</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__getitem__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#79">Synopsis/DeclarationSorter.py:79</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.__init__" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#66">Synopsis/DeclarationSorter.py:66</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.__iter__" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.__iter__</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#__iter__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#78">Synopsis/DeclarationSorter.py:78</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter._add_declaration" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter._add_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#_add_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#98">Synopsis/DeclarationSorter.py:98</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter._section_of" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter._section_of</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#_section_of" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#85">Synopsis/DeclarationSorter.py:85</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.get" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.get</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#get" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#80">Synopsis/DeclarationSorter.py:80</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.has_key" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.has_key</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#has_key" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#81">Synopsis/DeclarationSorter.py:81</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.keys" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.keys</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#keys" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#82">Synopsis/DeclarationSorter.py:82</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.values" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.values</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#values" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#83">Synopsis/DeclarationSorter.py:83</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_builtin" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_builtin</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_builtin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#110">Synopsis/DeclarationSorter.py:110</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_class_template" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_class_template</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_class_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#127">Synopsis/DeclarationSorter.py:127</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_declaration" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#107">Synopsis/DeclarationSorter.py:107</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_forward" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_forward</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_forward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#113">Synopsis/DeclarationSorter.py:113</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_function" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#129">Synopsis/DeclarationSorter.py:129</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_function_template" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_function_template</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_function_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#131">Synopsis/DeclarationSorter.py:131</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_group" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#118">Synopsis/DeclarationSorter.py:118</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_macro" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_macro</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_macro" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#111">Synopsis/DeclarationSorter.py:111</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter.DeclarationSorter.visit_scope" /><h2 >Method Synopsis.DeclarationSorter.DeclarationSorter.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#125">Synopsis/DeclarationSorter.py:125</a>: in class <a href="../Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" >Synopsis.DeclarationSorter.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DeclarationSorter._compare" /><h2 >Function Synopsis.DeclarationSorter._compare</h2><ul>
<li><a href="../Scopes/Synopsis/DeclarationSorter.html#_compare" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DeclarationSorter.py.html#34">Synopsis/DeclarationSorter.py:34</a>: in module <a href="../Scopes/Synopsis/DeclarationSorter.html" >Synopsis.DeclarationSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DocString.DocString" /><h2 >Class Synopsis.DocString.DocString</h2><ul>
<li><a href="../Scopes/Synopsis/DocString/DocString.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DocString.py.html#8">Synopsis/DocString.py:8</a>: in module <a href="../Scopes/Synopsis/DocString.html" >Synopsis.DocString</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/DocString.py.html#13">Synopsis/DocString.py:13</a>: Attribute <a href="../Scopes/Synopsis/DocString/DocString.html#text" >text</a></li><li ><a href="../Source/Synopsis/DocString.py.html#14">Synopsis/DocString.py:14</a>: Attribute <a href="../Scopes/Synopsis/DocString/DocString.html#markup" >markup</a></li><li ><a href="../Source/Synopsis/DocString.py.html#11">Synopsis/DocString.py:11</a>: Method <a href="../Scopes/Synopsis/DocString/DocString.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.DocString.DocString.__init__" /><h2 >Method Synopsis.DocString.DocString.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/DocString/DocString.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/DocString.py.html#11">Synopsis/DocString.py:11</a>: in class <a href="../Scopes/Synopsis/DocString/DocString.html" >Synopsis.DocString.DocString</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.Directory" /><h2 >Class Synopsis.FileTree.Directory</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/Directory.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#21">Synopsis/FileTree.py:21</a>: in module <a href="../Scopes/Synopsis/FileTree.html" >Synopsis.FileTree</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/FileTree.py.html#31">Synopsis/FileTree.py:31</a>: Attribute <a href="../Scopes/Synopsis/FileTree/Directory.html#children" >children</a></li><li ><a href="../Source/Synopsis/FileTree.py.html#29">Synopsis/FileTree.py:29</a>: Method <a href="../Scopes/Synopsis/FileTree/Directory.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.Directory.__init__" /><h2 >Method Synopsis.FileTree.Directory.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/Directory.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#29">Synopsis/FileTree.py:29</a>: in class <a href="../Scopes/Synopsis/FileTree/Directory.html" >Synopsis.FileTree.Directory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.File" /><h2 >Class Synopsis.FileTree.File</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/File.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#33">Synopsis/FileTree.py:33</a>: in module <a href="../Scopes/Synopsis/FileTree.html" >Synopsis.FileTree</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/FileTree.py.html#42">Synopsis/FileTree.py:42</a>: Attribute <a href="../Scopes/Synopsis/FileTree/File.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/FileTree.py.html#40">Synopsis/FileTree.py:40</a>: Method <a href="../Scopes/Synopsis/FileTree/File.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.File.__init__" /><h2 >Method Synopsis.FileTree.File.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/File.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#40">Synopsis/FileTree.py:40</a>: in class <a href="../Scopes/Synopsis/FileTree/File.html" >Synopsis.FileTree.File</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.Node" /><h2 >Class Synopsis.FileTree.Node</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/Node.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#11">Synopsis/FileTree.py:11</a>: in module <a href="../Scopes/Synopsis/FileTree.html" >Synopsis.FileTree</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/FileTree.py.html#18">Synopsis/FileTree.py:18</a>: Attribute <a href="../Scopes/Synopsis/FileTree/Node.html#path" >path</a></li><li ><a href="../Source/Synopsis/FileTree.py.html#19">Synopsis/FileTree.py:19</a>: Attribute <a href="../Scopes/Synopsis/FileTree/Node.html#filename" >filename</a></li><li ><a href="../Source/Synopsis/FileTree.py.html#17">Synopsis/FileTree.py:17</a>: Method <a href="../Scopes/Synopsis/FileTree/Node.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.Node.__init__" /><h2 >Method Synopsis.FileTree.Node.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree/Node.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#17">Synopsis/FileTree.py:17</a>: in class <a href="../Scopes/Synopsis/FileTree/Node.html" >Synopsis.FileTree.Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.FileTree.make_file_tree" /><h2 >Function Synopsis.FileTree.make_file_tree</h2><ul>
<li><a href="../Scopes/Synopsis/FileTree.html#make_file_tree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/FileTree.py.html#44">Synopsis/FileTree.py:44</a>: in module <a href="../Scopes/Synopsis/FileTree.html" >Synopsis.FileTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter" /><h2 >Class Synopsis.Formatters.BoostBook.Formatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#16">Synopsis/Formatters/BoostBook.py:16</a>: in module <a href="../Scopes/Synopsis/Formatters/BoostBook.html" >Synopsis.Formatters.BoostBook</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#22">Synopsis/Formatters/BoostBook.py:22</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#40">Synopsis/Formatters/BoostBook.py:40</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#41">Synopsis/Formatters/BoostBook.py:41</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#push_scope" >push_scope</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#46">Synopsis/Formatters/BoostBook.py:46</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#pop_scope" >pop_scope</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#51">Synopsis/Formatters/BoostBook.py:51</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#write" >write</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#58">Synopsis/Formatters/BoostBook.py:58</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#start_entity" >start_entity</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#67">Synopsis/Formatters/BoostBook.py:67</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#end_entity" >end_entity</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#73">Synopsis/Formatters/BoostBook.py:73</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#write_entity" >write_entity</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#85">Synopsis/Formatters/BoostBook.py:85</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#entity" >entity</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#92">Synopsis/Formatters/BoostBook.py:92</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#reference" >reference</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#100">Synopsis/Formatters/BoostBook.py:100</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#label" >label</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#107">Synopsis/Formatters/BoostBook.py:107</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#type_label" >type_label</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#110">Synopsis/Formatters/BoostBook.py:110</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#115">Synopsis/Formatters/BoostBook.py:115</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_unknown_type_id" >visit_unknown_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#120">Synopsis/Formatters/BoostBook.py:120</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#125">Synopsis/Formatters/BoostBook.py:125</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_modifier_type_id" >visit_modifier_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#131">Synopsis/Formatters/BoostBook.py:131</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#141">Synopsis/Formatters/BoostBook.py:141</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#format_type" >format_type</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#146">Synopsis/Formatters/BoostBook.py:146</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_function_type_id" >visit_function_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#152">Synopsis/Formatters/BoostBook.py:152</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#process_doc" >process_doc</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#159">Synopsis/Formatters/BoostBook.py:159</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_declarator" >visit_declarator</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#164">Synopsis/Formatters/BoostBook.py:164</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_typedef" >visit_typedef</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#170">Synopsis/Formatters/BoostBook.py:170</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_variable" >visit_variable</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#178">Synopsis/Formatters/BoostBook.py:178</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_const" >visit_const</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#182">Synopsis/Formatters/BoostBook.py:182</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#192">Synopsis/Formatters/BoostBook.py:192</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#208">Synopsis/Formatters/BoostBook.py:208</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#217">Synopsis/Formatters/BoostBook.py:217</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#226">Synopsis/Formatters/BoostBook.py:226</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#233">Synopsis/Formatters/BoostBook.py:233</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#251">Synopsis/Formatters/BoostBook.py:251</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#do_function" >do_function</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#271">Synopsis/Formatters/BoostBook.py:271</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_enumerator" >visit_enumerator</a></li><li ><a href="../Source/Synopsis/Formatters/BoostBook.py.html#275">Synopsis/Formatters/BoostBook.py:275</a>: Method <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_enum" >visit_enum</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.do_function" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.do_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#do_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#251">Synopsis/Formatters/BoostBook.py:251</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.end_entity" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.end_entity</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#end_entity" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#67">Synopsis/Formatters/BoostBook.py:67</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.entity" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.entity</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#entity" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#85">Synopsis/Formatters/BoostBook.py:85</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.format_type" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.format_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#format_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#141">Synopsis/Formatters/BoostBook.py:141</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.label" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.label</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#label" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#100">Synopsis/Formatters/BoostBook.py:100</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
